Bug 137990 - Installer fails to start with USB failure
Installer fails to start with USB failure
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-03 12:29 EST by Eric Scharff
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:42:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Scharff 2004-11-03 12:29:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.7.2) Gecko/20040803

Description of problem:
I have a rather-standard-configured Dell OptiFlex GX260 on which I've
been happily using Fedora Core 1 for many months.  I recently attempted
to upgrade to Fedora Core 2, but cannot run the installer.

When the kernel boots, The system gets as far as

...
running install...
running /sbin/loader

and then

Oops: 0000 [#1]
CPU:    0
EIP:    0060:[<c011c77c>]    Not tainted
EFLAGS: 00010202 (2.6.5-1.358)
EIP is at __request_resource+0x24/0x41

More stack trace follows, excerpted below:

Call Trace:
 [<c011ca18>] __request_region+0x56/0x79
 [<c021c216>] usb_hcd_pci_probe+0xc6/0x3bd
 [<c016e078>] create_dir+0x76/0x8d
 [<c0199196>] pci_device_probe_static+0x2a/0x3d
   // seveal lines skipped
 [<c0287147>] syscallo_call+0x7/0xb
 [<c028007b>] copy_to_user_tmpl+0xe0/0x10f

Code: 39 70 04 76 0c 89 43 14 31 c0 89 1a 89 4b 10 eb 08 8d 50 14
 <6>USB Universal Host Controller Interface driver v2.2


The problem appears to have something to do with the USB controller.

Note that if, in the BIOS (Rev A08 - I upgraded to the most recent
firmware) I disable the USB controller completely, the installation
gets farther (I can get to the text-mode media check) but then a few
lines of text show up in garbage characters and installation again halts.

I tried "linux text", "linux noprobe" to no avail.

The media is fine - the media passes a check on a different computer,
which also gets further in the installation.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot FC2 from CD on a Dell OptiFlex GX260 (which has USB on the
motherboard)

Additional info:
Comment 1 Dave Jones 2005-04-16 00:42:05 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.